function PR=mod2LC2PR(L)
% function PR=mod2LC2PR(L), P.Comon, June 16, 1998
% module carre d'une forme lineaire complexe homogene a 2 variables 
% exprime comme polynome reel homogene en 4 variables reelles
% L: vecteur contenant 2 nombres complexes
% PR: vecteur de taille 10 (il y a en effet 10 monomes distincts 
% de degre 2 en 4 variables)

a=real(L(1));b=imag(L(1));c=real(L(2));d=imag(L(2));

PR=[
b^2+a^2;          % x1^2
2*a*c+2*b*d;      % x1 * x2
0;                % x1 * y1
-2*a*d+2*b*c;     % x1 * y2
c^2+d^2;          % x2^2
2*a*d-2*b*c;      % x2 * y1
0;                % x2 * y2
b^2+a^2;          % y1^2
2*b*d+2*a*c;      % y1*y2
d^2+c^2;          % y2^2
];
